# *****************************************************************#
# (C) Copyright IBM Corporation 2021.                             #
#                                                                 #
# The source code for this program is not published or otherwise  #
# divested of its trade secrets, irrespective of what has been    #
# deposited with the U.S. Copyright Office.                       #
# *****************************************************************#
"""IBM Watson Core AI Framework library.  This is the base framework for core AI/ML libraries, such
as NLP and Vision.
"""

# the import order cannot adhere to the linter here because we must do things like
# disable warnings, initialize the JVM and configure logging in a specific order
# pylint: disable=wrong-import-position,wrong-import-order

# We're filtering all warnings for now
import warnings as _warnings

_warnings.filterwarnings("ignore")

# must import toolkit first since we need alog to be set up before it is used
from . import toolkit
from .toolkit import *

from . import data_model

from . import module
from .module import *

from .model_manager import *

from . import config
from .config import *

from . import blocks
from .blocks.base import block, BlockBase

from . import workflows
from .workflows.base import workflow, WorkflowBase

from . import resources
from .resources.base import resource, ResourceBase

from . import beta
